Bug 258538 - graphics/wayland-protocols: update to 1.23
Summary: graphics/wayland-protocols: update to 1.23
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://lists.freedesktop.org/archive...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-09-16 16:39 UTC by Jan Beich
Modified: 2021-09-22 17:00 UTC (History)
2 users (show)

See Also:
manu: maintainer-feedback+


Attachments
v1 (apply via "git am") (1.68 KB, patch)
2021-09-16 16:39 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Jan Beich freebsd_committer 2021-09-17 22:37:55 UTC
At least wlroots upstream CI (Alpine + Arch + FreeBSD) is waiting on us to update the package. See also https://repology.org/project/wayland-protocols/history

Updates are not a race (quoting bapt@) but being slow puts us at a disadvantage upstream. This is not specific to wlroots or Wayland but affects any project that tests FreeBSD on CI and uses system packages instead of bundled dependencies. For example, RPCS3 upstream often requires recent Vulkan-Headers.
Comment 2 Simon Ser 2021-09-20 07:44:06 UTC
(In reply to Jan Beich from comment #1)

To add on to this a bit with my wlroots maintainer hat on: thanks a lot Jan for pushing for these updates. We really appreciate the effort, it allows us to implement cutting-edge features *and* ensure we don't break our downstream FreeBSD users.

We also understand FreeBSD is an open-source project run by volunteers, and don't mind if upgrades are taking a few.
Comment 3 commit-hook freebsd_committer 2021-09-22 16:58:27 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3ddf4ad29ccce2b525a5e64873350e2da93ff15d

commit 3ddf4ad29ccce2b525a5e64873350e2da93ff15d
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-09-15 12:52:03 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-09-22 16:45:37 +0000

    graphics/wayland-protocols: update to 1.23

    Changes:        https://lists.freedesktop.org/archives/wayland-devel/2021-September/041979.html
    PR:             258538
    Reported by:    portscout
    Approved by:    manu

 graphics/wayland-protocols/Makefile | 4 ++--
 graphics/wayland-protocols/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)
Comment 4 Jan Beich freebsd_committer 2021-09-22 17:00:12 UTC
Should be in binary packages in ~2 days: build starts today at 25:00 UTC (aka 01:00 UTC tomorrow).